---
updatedAt: 2026-05-19T20:43:28.000Z
agentTools:
  projectIndex: https://docs.split.io/llms.txt
---

# Delete a feature flag

Deletes a feature flag from your account. This automatically unconfigures the feature flag definition from all FME environments. An SDK calling this feature flag returns "control".

<HTMLBlock>{`
<h3 style="color:#00A8FF;">Access requirements</h3>
<p>The Authorization Bearer (Admin API Key authorizing the request) must have one of the following roles and scopes:</p>
<h4 style="color:#00A8FF; font-weight: normal;">Admin API Key roles accepted</h4>
<ul style="color:#0A0A32;">
  <li>API_ALL_GRANTED</li>
  <li>API_FEATURE_FLAG_EDITOR</li>
</ul>
<h4 style="color:#00A8FF; font-weight: normal;">Admin API Key scopes accepted</h4>
<ul style="color:#0A0A32;">
  <li>GLOBAL</li>
  <li>WORKSPACE</li>
</ul>
<br><label><em>Project (Workspace) View Restrictions may apply to this API.</em></label>
`}</HTMLBlock>

To learn more about Admin API Key roles and scopes, see [API keys overview](https://docs.split.io/reference/api-keys-overview#admin-api-key-roles).

***

##

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "2"
  },
  "servers": [
    {
      "url": "https://api.split.io/internal/api/v2"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/splits/ws/{workspace-id}/{feature-flag-name}": {
      "delete": {
        "summary": "Delete a feature flag",
        "description": "Deletes a feature flag from your account. This automatically unconfigures the feature flag definition from all FME environments. An SDK calling this feature flag returns \"control\".",
        "operationId": "delete-feature-flag",
        "parameters": [
          {
            "in": "path",
            "name": "workspace-id",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "The ID of the project (workspace) of the feature flag you want to delete. After migration to Harness, get this value using the [Get Projects (Workspaces)](https://docs.split.io/reference/get-workspaces#/) endpoint and the Harness project name."
          },
          {
            "in": "path",
            "name": "feature-flag-name",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "The case-sensitive name of the feature flag you want to delete (or kill)"
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "true"
                  }
                },
                "schema": {
                  "type": "boolean",
                  "example": true,
                  "default": true
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Unauthorized": {
                    "value": "{\n    \"code\": 401,\n    \"message\": \"Error deleting splitmetadata paywall_beta\",\n    \"transactionId\": \"9oh5ar3mhy\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Error deleting splitmetadata paywall_beta"
                    },
                    "transactionId": {
                      "type": "string",
                      "example": "9oh5ar3mhy"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"code\": 403,\n    \"message\": \"Organization does not have permissions to execute API\",\n    \"transactionId\": \"9oek34hvot\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 403,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Organization does not have permissions to execute API"
                    },
                    "transactionId": {
                      "type": "string",
                      "example": "9oek34hvot"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"code\": 404,\n    \"message\": \"Could not find splitmetadata paywall_beta\",\n    \"transactionId\": \"9oh5po4izh\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 404,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Could not find splitmetadata paywall_beta"
                    },
                    "transactionId": {
                      "type": "string",
                      "example": "9oh5po4izh"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -v -X DELETE \\\n  -H 'Content-Type: application/json' \\\n  -H 'Authorization: Bearer ADMIN_API_KEY' \\\n  https://api.split.io/internal/api/v2/splits/ws/{workspace-id}/{feature-flag-name}"
            },
            {
              "language": "powershell",
              "code": "$headers=@{}\n$headers.Add(\"Accept\", \"application/json\")\n$headers.Add(\"Authorization\", \"Bearer ADMIN_API_KEY\")\n$response = Invoke-WebRequest -Uri 'https://api.split.io/internal/api/v2/splits/ws/wsId/split_name' -Method DELETE -Headers $headers"
            }
          ],
          "samples-languages": [
            "curl",
            "powershell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```